I Joost, my Mac doesnt

I was kind of happy receiving the mail from Joost that my Joost 1.0 Beta is available to me for download. But there is something completly wrong with it! The requirements read something like “Any Intel-based Mac running OS X 10.4” Whats wrong with you guys? PowerBooks and G5’s may be arround by today…

PS: link to joost homepage intentionally left out